Redmine - Defect #42532

Expander icon not working in repository tree
2025-04-07 11:46 - Anton Nekrasov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.5

Resolution: Fixed Affected version: 6.0.0
Description

Expander icons not working in repository tree. Error if open dev console and reopen previously loaded folder - updateSVGicon -
TypeError: element is undefined
screenshot_before.png

A possible solution is in the patch.
with patch perository expander_patch.diff
screenshot_2025-04-07.png

Related issues:
Related to Redmine - Defect #42369: Expander icons not switch in Collapse all... Closed

Associated revisions

Revision 23605 - 2025-04-07 22:00 - Marius BALTEANU

Fixes expander icon not working in repository tree (#42532).

Revision 23607 - 2025-04-07 22:24 - Marius BALTEANU
Merge r23605 from trunk to 6.0-stable (#42532).

History

#1 - 2025-04-07 11:58 - Go MAEDA
- Status changed from New to Confirmed
- Target version set to Candidate for next minor release

- Affected version set to 6.0.0

#2 - 2025-04-07 11:58 - Go MAEDA
- Related to Defect #42369: Expander icons not switch in Collapse all/Expand all added

#3 - 2025-04-07 21:33 - Marius BALTEANU
- Subject changed from expander icon not working in repository tree to Expander icon not working in repository tree
- Assignee set to Marius BALTEANU

- Target version changed from Candidate for next minor release to 6.0.5

#4 - 2025-04-07 22:10 - Marius BALTEANU
- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed together with another issue in folder closed / open in some cases.

| have slightly change the fix in order to use the existing toggleExpendCollapselcon function.

#5 - 2025-04-07 22:29 - Marius BALTEANU

- Status changed from Resolved to Closed

#6 - 2025-04-14 08:10 - Anton Nekrasov
https://www.redmine.org/attachments/34184

Thanks. Yes, using the existing toggleExpendCollapselcon function is an elegant solution.
